Platta ut tråd

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Macro FlattenWire and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎svenska • ‎čeština

Macro FlattenWire.png FlattenWire

Beskrivning
Detta makro flattar utkaststrådar som inte är planerade till sin median Z-koordinat

Versions makro : 1.0
Datum senaste ändring : 2011-08-01
FreeCAD-versionen : All
Ladda ner : ToolBar Icon
Författare
Yorik
Ladda ner
ToolBar Icon
länkar
Makroversion
1.0
Datum senaste ändring
2011-08-01
FreeCAD Version(s)
All
Standard genväg
None
Se även
None


Deskription

Detta makro plattar ut ritlinjer som inte är parallella (i Z-axeln) till deras median Z koordinat.

Script

ToolBar Icon Macro FlattenWire.png

Macro_FlattenWire.FCMacro

import FreeCAD
obj = FreeCAD.ActiveDocument.ActiveObject
z = 0
for p in obj.Points: z += p.z
z = z/len(obj.Points)
newpoints = []
for p in obj.Points: newppoints.append(FreeCAD.Vector(p.x,p.y,z))
obj.Points = newppoints